## ros-kinetic-xacro 1.11.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(xacro)

find_package(catkin REQUIRED roslint)

catkin_python_setup()

catkin_package(
  CFG_EXTRAS xacro-extras.cmake
)

## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
catkin_python_setup()

catkin_install_python(PROGRAMS scripts/xacro
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

## For backwards compatibility we also install as xacro.py
#  The roslaunch $(find ...) expects the script to be in the package directory, 
#  and in catkin the package direcory is /share.
install(PROGRAMS xacro.py DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

if(CATKIN_ENABLE_TESTING)
  ## Add folders to be run by python nosetests
  catkin_add_nosetests(test)
  ## add tests for xacro's cmake functions
  add_subdirectory(test)
endif()

roslint_python()

=== test/CMakeLists.txt ===
add_test(NAME xacro_cmake
  # run test-cmake.sh for subdir test-xacro-cmake
  COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/test-cmake.sh ${CMAKE_CURRENT_SOURCE_DIR}/test-xacro-cmake
  )

=== test/test-xacro-cmake/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(xacro-test)

include(CMakeParseArguments)
find_package(xacro REQUIRED)

## manual usage of eval
xacro_add_xacro_file(../include1.xml manual1.xml INORDER)
list(APPEND xacro_outputs ${XACRO_OUTPUT_FILE})

xacro_add_xacro_file(../include2.xml manual2.xml INORDER OUTPUT MY_OUTPUT_VAR)
list(APPEND xacro_outputs ${MY_OUTPUT_VAR})

add_custom_target(xacro_target ALL DEPENDS ${xacro_outputs})
xacro_install(xacro_target ${xacro_outputs} DESTINATION xml)

## convenience function
xacro_add_files(TARGET xacro test.xacro REMAP bar:=foo foo:=bar INSTALL)

=== debian/changelog ===
ros-kinetic-xacro (1.11.3-0xenial) xenial; urgency=high

  * extend list of allowed python builtins: min, max, round
  * #173 <https://github.com/ros/xacro/issues/173>: allow default values for properties
  * #172 <https://github.com/ros/xacro/issues/172>: fix formatting of XacroException
  * #182 <https://github.com/ros/xacro/issues/182>: suppress xacro warnings when determining dependencies
  * #171 <https://github.com/ros/xacro/issues/171>: fix dependency handling (--deps option)
    * allow to specify extra dependencies for xacro_add_xacro_file(s)
    * consider yaml files loaded with load_yaml
  * fixes for #148 <https://github.com/ros/xacro/issues/148> and #149 <https://github.com/ros/xacro/issues/149>
  * fix #156 <https://github.com/ros/xacro/issues/156>: avoid access to undefined variable target_table
  * fix #148 <https://github.com/ros/xacro/issues/148>: silently ignore extra attributes that are namespace specifiers
  * allow True/False literals in python expressions
  * Contributors: Robert Haschke, Morgan Quigley, Steven Peters

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Tue, 27 Mar 2018 22:00:00 -0000

ros-kinetic-xacro (1.11.2-0xenial) xenial; urgency=high

  * Convert exception to string in a python2/3 compatible way.
  * Use python2/3 independent check for file type.
  * Contributors: Hans Gaiser, Maarten de Vries

 -- Morgan Quigley <morgan@osrfoundation.org>  Sun, 26 Feb 2017 23:00:00 -0000

ros-kinetic-xacro (1.11.1-0xenial) xenial; urgency=high

  * workaround for xml.dom.minidom issue
  * ensure non-empty error string
  * Contributors: Robert Haschke

 -- Morgan Quigley <morgan@osrfoundation.org>  Tue, 21 Jun 2016 22:00:00 -0000

ros-kinetic-xacro (1.11.0-0xenial) xenial; urgency=high

  * added short option -i as alternative to --inorder
  * refactored main to fix #122, #107
  * added xacro indicator to error message to fix #123
  * moved banner generation to process_file()
  * removed special (but obsolete) output handling for just_includes mode
  * moved core processing pipeline into function process_file()
  * improved documentation: more comments, input_file -> input_file_name
  * fix #120: handle non-space whitespace characters in params string
  * extended tests to handle non-space whitespace characters in params string
  * always store macros with xacro: prefix in front: #118
  * fix #115: enforce xacro namespace usage with --xacro-ns option
  * apply correct checking for include tags, and extend testcase
  * allow (one-level) nested expression/extension evaluation
  * Contributors: Robert Haschke, Morgan Quigley

 -- Morgan Quigley <morgan@osrfoundation.org>  Thu, 24 Mar 2016 23:00:00 -0000

ros-kinetic-xacro (1.10.6-0xenial) xenial; urgency=high

  * use correct catkin environment for cmake dependency checking
  * fixed dependency definition for cmake usage
  * Contributors: Robert Haschke

 -- Morgan Quigley <morgan@osrfoundation.org>  Mon, 31 Aug 2015 22:00:00 -0000

ros-kinetic-xacro (1.10.5-0xenial) xenial; urgency=high

  * fix #108: evaluate property blocks recursively too
  * improved macro parameter parsing
  * use a regular expression to parse a param spec with forwarding and default
  * allow for spaces in default string (within single quotes)
  * forwarding macro arguments from outer scope
  * switched to ^| syntax
  * use more compact $| syntax
  * moved parsing of argument defaults to grab_macro()
  * explicit forwarding of properties to macro scope
  * replace silent/implicit forwarding of properties from outer scope to
    macro scope by an explicit "call" to a forward(<name>[,<default>]) function.
  * implicit forwarding of outer-scope properties to macro args (#100)
  * property evaluation fixes
  * suppress double evaluation of properties
  * adapted unittest to cover the fixed issue
  * fixed evaluation order for properties exported to parent or global scope
  * Merge pull request #103 from ubi-agni/overwrite-check
    issue warning when attempting to overwrite existing global property
  * fixed unittest: avoid overwrite warning
  * warn when overwriting any globally defined variable
  * Merge pull request #102 from ubi-agni/completion
    bash completion
  * Merge pull request #99 from ubi-agni/jade-devel
    reworked macro resolution
  * moved test_macro_name_with_colon() to class TestXacro
    should be tested both, in oldorder and inorder mode
  * bash completion
  * improved error message for failed $(find)
  * reworked macro resolution
    python-eval-based macro resolution (introduced to enable namespaces)
    heavily restricted the set of possible macro names (only valid python
    identifiers were allowed)
    Particularly, xacro: prefixed macro names were forbidden.
  * initial attempt to fix #97
  * add failing test case with colon in the macro name
  * Contributors: Robert Haschke

 -- Morgan Quigley <morgan@osrfoundation.org>  Tue, 11 Aug 2015 22:00:00 -0000

ros-kinetic-xacro (1.10.4-0xenial) xenial; urgency=high

  * removed test_DEPRECATED_should_replace_before_macroexpand()
    duplicates test_should_replace_before_macroexpand()
  * fixed evaluation order of macro arguments and body
    Macro arguments need to be evaluated and assigned to properties before
    body is evaluated. Otherwise, the evaluated value will be converted to
    str, i.e. loosing original type.
  * Contributors: Robert Haschke

 -- Morgan Quigley <morgan@osrfoundation.org>  Wed, 17 Jun 2015 22:00:00 -0000

ros-kinetic-xacro (1.10.3-0xenial) xenial; urgency=high

  * deprecate --oldorder processing
  * added --check-order option to do a simple check for --inorder compatibility
    - Most probable incompatibility is redefining a property after its usage.
    - tested and reported with file location of (first) redefinition after usage.
  * moved command line processing to cli.py
  * explain verbosity levels in usage string
  * colorize errors during cli parsing
  * log definition and usage of properties


=== debian/control ===
Source: ros-kinetic-xacro
Section: misc
Priority: extra
Maintainer: Robert Haschke <rhaschke@techfak.uni-bielefeld.de>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin (>= 0.5.68), ros-kinetic-roslint, ros-kinetic-rostest
Homepage: http://ros.org/wiki/xacro
Standards-Version: 3.9.2

Package: ros-kinetic-xacro
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-roslaunch
Description: Xacro (XML Macros) Xacro is an XML macro language.
 With xacro, you can construct shorter and more readable XML files by using macros that expand to larger XML expressions.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-xacro//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
